Attribute VB_Name = "Module1"
Option Explicit

' Our demo status bar's window handle
Public g_hStatBar As Long

Declare Function SendMessage Lib "user32" Alias "SendMessageA" _
                            (ByVal hwnd As Long, _
                            ByVal wMsg As Long, _
                            wParam As Long, _
                            lParam As Any) As Long

' Retrieves the full path and filename for the executable file containing
' the specified module
Declare Function GetModuleFileName Lib "kernel32" Alias "GetModuleFileNameA" _
                            (ByVal hModule As Long, _
                            ByVal lpFileName As String, _
                            ByVal nSize As Long) As Long

'======================================================

' Menu state flags used in Examples 3 & 4:
Public Const MF_HILITE = &H80&
Public Const MF_BYPOSITION = &H400&

' Retrieves the handle of the menu assigned to the given window.
Declare Function GetMenu Lib "user32" _
                            (ByVal hwnd As Long) As Long

' Determines the number of items in the specified menu.
Declare Function GetMenuItemCount Lib "user32" _
                            (ByVal hMenu As Long) As Long

' Retrieves the menu item identifier of a menu item located at the specified
' position in a menu.
Declare Function GetMenuItemID Lib "user32" _
                            (ByVal hMenu As Long, _
                            ByVal nPos As Long) As Long

' Retrieves the menu flags associated with the specified menu item.
Declare Function GetMenuState Lib "user32" _
                            (ByVal hMenu As Long, _
                            ByVal wID As Long, _
                            ByVal wFlags As Long) As Long

' Retrieves the handle of the submenu activated by the specified menu item.
Declare Function GetSubMenu Lib "user32" _
                            (ByVal hMenu As Long, _
                            ByVal nPos As Long) As Long

' Retrieves the handle of the system menu assigned to the given window.
Declare Function GetSystemMenu Lib "user32" _
                            (ByVal hwnd As Long, _
                            ByVal bRevert As Long) As Long

' Determines whether a handle is a menu handle
Declare Function IsMenu Lib "user32" _
                            (ByVal hMenu As Long) As Long

'======================================================

' Returns a module handle for the specified module
Declare Function GetModuleHandle Lib "kernel32" Alias "GetModuleHandleA" _
                            (ByVal lpModuleName As String) As Long

' Loads a string resource from the executable file associated with a
' specified module
Declare Function LoadString Lib "user32" Alias "LoadStringA" _
                            (ByVal hInstance As Long, _
                            ByVal wID As Long, _
                            ByVal lpBuffer As String, _
                            ByVal nBufferMax As Long) As Long
 


